/* End Modigy Design */

.solar_option_wrapper {
	gap: 20px;
	display: flex;
}

#bill-field-wrapper {
	align-items: center;
	width: 300px;
	gap: 20px;
}

#bill-field-wrapper label {
	margin: 0 !important;
}

#calculator-result {
	border: 1px solid #021f4b;
	padding: 30px;
	border-radius: 20px;
	display: none;
	margin: 0 20px;
}

#solar-calculator p, #solar-calculator label {
	color: #021f4b;
	font-family: "Gotham Medium", Sans-serif;
	font-weight: 500;
	font-size: 18px;
	margin-bottom: 14px;
	text-transform: capitalize;
	white-space: nowrap;
}

#solar-calculator input:focus-visible, #solar-calculator select:focus-visible {
	outline: 0;
}

#solar-calculator input, #solar-calculator select, #solar-calculator textarea {
	border: 1px solid #021f4b;
	border-radius: 5px;
	padding: 10px;
	font-size: 15px;
	line-height: 1.2;
}

#solar-calculator .calculate-btn {
	font-family: "Gotham Medium", Sans-serif;
	font-weight: 400;
	border: 2px solid #021f4b;
	border-radius: 50px;
	padding: 13px 34px;
	background-color: rgba(0, 0, 0, 0);
	color: #021f4b;
}

#solar-calculator .calculate-btn:hover {
	background-color: #021f4b;
	color: #fff;
}

#solar-calculator .solar_option_label {
	font-family: "Gotham Light", Sans-serif;
}

.disclaimer li {
	padding-bottom: 10px;
	font-size: 15px;
	color: #021f4b;
}

.disclaimer li:last-child {
	padding: 0;
}

#calculator-result table {
	width: 100%;
	border-collapse: collapse;
	border-color: #021f4b;
}

#calculator-result h4 {
	color: #021f4b;
	margin-top: 0;
	font-size: 26px;
	margin-bottom: 15px;
}

#calculator-result .roi_table_title {
	margin-top: 40px;
	margin-bottom: 20px;
	color: #021f4b;
}

#calculator-result table th, #calculator-result table td {
	text-align: center;
	color: #021f4b;
}

#calculator-result p {
	color: #021f4b;
	margin: 0 !important;
	text-transform: capitalize;
	padding: 0;
}

.calculation-desc p {
	font-size: 15px;
}

/* Team Member Page */

/*
* Modify design
*/
.calculation-result-wrapper {
	box-sizing: border-box;
	margin-bottom: 50px;
	display: flex;
	flex-direction: column;
	gap: 20px;
	align-items: center;
}

.calculation-result-wrapper .cal-grid {
	width: 100%;
}

.calculation-result-wrapper .cal-grid .cost-subsidy-box div, .calculation-result-wrapper .cal-grid .area-electricity-box div, .calculation-result-wrapper .cal-grid .savings-box div {
	transition: .4s all ease;
}

.calculation-result-wrapper .cal-grid .cost-subsidy-box div:hover, .calculation-result-wrapper .cal-grid .area-electricity-box div:hover, .calculation-result-wrapper .cal-grid .savings-box div:hover {
	transition: .4s all ease;
	animation: zoom 2s infinite;
}

@keyframes zoom {
	0%, 100% {
		transform: scale(1);
		-webkit-transform: scale(1);
	}
	
	50% {
		transform: scale(.9);
		-webkit-transform: scale(.9);
	}
}

.calculation-result-wrapper .cal-grid p {
	font-size: 20px !important;
}

.calculation-result-wrapper .cal-grid .cost-subsidy-box, .calculation-result-wrapper .cal-grid .area-electricity-box {
	display: flex;
	gap: 10px;
	justify-content: space-between;
}

.calculation-result-wrapper .cal-grid .cost-subsidy-box div, .calculation-result-wrapper .cal-grid .area-electricity-box div, .calculation-result-wrapper .cal-grid .savings-box div {
	border-radius: 20px;
	padding: 25px;
	width: 350px;
	text-align: center;
	display: flex;
	flex-direction: column;
	gap: 15px;
	justify-content: space-between;
}

.calculation-result-wrapper .cal-grid .cost-subsidy-box div h6, .calculation-result-wrapper .cal-grid .area-electricity-box div h6, .calculation-result-wrapper .cal-grid .savings-box div h6 {
	color: #021f4b;
	text-transform: capitalize;
	margin: 0;
	font-size: 22px;
	font-weight: 600;
}

.calculation-result-wrapper .cal-grid .cost-subsidy-box div h6 {
	color: #f7931e;
}

.calculation-result-wrapper .cal-grid .savings-box div h6 {
	color: #0f8e2b;
}

.calculation-result-wrapper .cal-grid .area-electricity-box div {
	width: 50%;
}

.calculation-result-wrapper .cal-grid .savings-box div {
	width: 100%;
}

.cal-grid .cost-subsidy-box div {
	border: 2px dashed #f7931e;
}

.cal-grid .area-electricity-box div {
	border: 2px dashed #021f4b;
}

.cal-grid .savings-box div {
	border: 2px dashed #42b653;
}

.cal-grid .cost-subsidy-box div p:first-child, .cal-grid .area-electricity-box div p:first-child, .cal-grid .savings-box div p:first-child {
	font-family: "Roboto", "Helvetica", "Arial", sans-serif;
	font-size: 22px;
	font-weight: 600;
	text-align: center;
	color: #fff !important;
	line-height: 1.43;
	letter-spacing: .01071em;
}

.cal-grid .cost-subsidy-box div p:nth-child(2), .cal-grid .area-electricity-box div p:nth-child(2), .cal-grid .area-electricity-box div p:nth-child(3), .cal-grid .savings-box div p:nth-child(2), .cal-grid .savings-box div p:nth-child(3) {
	font-family: "Roboto", "Helvetica", "Arial", sans-serif;
	font-size: 22px;
	font-weight: 500;
	line-height: 1.43;
	letter-spacing: .01071em;
	text-align: center;
	margin: 16px;
	padding: 8px;
}

.cal-grid .cost-subsidy-box div p:nth-child(2) {
	color: #f7931e !important;
}

.cal-grid .area-electricity-box div p:nth-child(2), .cal-grid .area-electricity-box div p:nth-child(3) {
	color: #021f4b !important;
}

.cal-grid .savings-box div p {
	color: #0f8e2b !important;
}

.solar_form_wrapper {
	padding: 50px;
	background: rgba(31, 35, 44, .09);
	border-radius: 20px;
	display: flex;
	flex-direction: column;
	gap: 22px;
}

#solar-calculator .solar_option_label {
	font-size: 15px;
	margin: 0;
	display: flex;
	align-items: center;
	gap: 6px;
}

#solar-calculator {
	margin: 0 150px;
}

#calculator-result .calculation-desc {
	display: flex;
	align-items: center;
	justify-content: space-between;
	margin-bottom: 30px;
	gap: 10px;
}

#solar-calculator {
	margin-bottom: 50px !important;
}

.disclaimer ul {
	padding-left: 20px;
}

.customer-sel-wrapper {
	display: flex;
	align-items: center;
	justify-content: space-between;
	gap: 20px;
}

.customer-sel-wrapper .customer_state, .customer-sel-wrapper .customer_category {
	width: 50%;
}

@media (max-width: 991px) {
	#solar-calculator p, #solar-calculator label {
		font-size: 16px;
		margin-bottom: 12px;
	}
	
	.solar_form_wrapper {
		padding: 40px;
	}
	
	#calculator-result .calculation-desc {
		margin-bottom: 20px;
	}
	
	#solar-calculator {
		margin: 0px 80px;
	}
	
	#calculator-result {
		padding: 25px;
	}
	
	.calculation-result-wrapper .cal-grid .cost-subsidy-box div, .calculation-result-wrapper .cal-grid .area-electricity-box div, .calculation-result-wrapper .cal-grid .savings-box div {
		padding: 20px;
	}
	
	.calculation-result-wrapper .cal-grid .cost-subsidy-box div h6, .calculation-result-wrapper .cal-grid .area-electricity-box div h6, .calculation-result-wrapper .cal-grid .savings-box div h6 {
		font-size: 18px;
	}
	
	.calculation-result-wrapper .cal-grid p {
		font-size: 18px !important;
	}
	
	.calculation-result-wrapper {
		margin-bottom: 40px;
	}
	
	#calculator-result h4 {
		font-size: 22px;
	}
}

@media (max-width: 767px) {
	.solar_form_wrapper {
		padding: 30px;
	}
	
	.customer-sel-wrapper {
		flex-direction: column;
	}
	
	.solar_form_wrapper {
		gap: 20px;
	}
	
	.customer-sel-wrapper .customer_state, .customer-sel-wrapper .customer_category {
		width: 100%;
	}
	
	.calculation-result-wrapper {
		margin-bottom: 30px;
	}
	
	#calculator-result .calculation-desc {
		flex-direction: column;
	}
	
	.calculation-result-wrapper .cal-grid .cost-subsidy-box, .calculation-result-wrapper .cal-grid .area-electricity-box, .calculation-result-wrapper .cal-grid .savings-box {
		flex-direction: column;
	}
	
	.calculation-result-wrapper .cal-grid .cost-subsidy-box div, .calculation-result-wrapper .cal-grid .area-electricity-box div, .calculation-result-wrapper .cal-grid .savings-box div {
		width: 100%;
	}
	
	#solar-calculator {
		margin: 0px 50px;
	}
	
	#solar-calculator .solar_option_label {
		font-size: 14px;
	}
	
	.solar_option_wrapper {
		gap: 15px;
		flex-direction: column;
	}
}

@media (max-width: 575px) {
	#solar-calculator {
		margin: 0px 20px;
	}
}

@media (max-width: 480px) {
	.solar_form_wrapper {
		padding: 30px;
	}
}

@media (max-width: 375px) {
	#bill-field-wrapper {
		width: 260px;
		gap: 10px;
	}
	
	.solar_form_wrapper, .customer-sel-wrapper {
		gap: 15px;
	}
	
	#calculator-result h4 {
		font-size: 20px;
		margin-bottom: 10px;
	}
	
	.disclaimer li {
		font-size: 14px;
	}
	
	.calculation-result-wrapper .cal-grid .cost-subsidy-box div h6, .calculation-result-wrapper .cal-grid .area-electricity-box div h6, .calculation-result-wrapper .cal-grid .savings-box div h6 {
		font-size: 16px;
	}
	
	.calculation-result-wrapper .cal-grid p {
		font-size: 16px !important;
	}
	
	.calculation-result-wrapper .cal-grid .cost-subsidy-box div, .calculation-result-wrapper .cal-grid .area-electricity-box div, .calculation-result-wrapper .cal-grid .savings-box div {
		gap: 10px;
	}
	
	#calculator-result {
		padding: 20px;
	}
	
	#calculator-result .calculation-desc {
		gap: 6px;
	}
	
	.calculation-desc p {
		font-size: 14px;
	}
	
	#solar-calculator {
		margin: 0px 10px;
	}
	
	.solar_form_wrapper {
		padding: 20px;
	}
	
	#solar-calculator .solar_option_label {
		font-size: 12px;
	}
	
	#solar-calculator p, #solar-calculator label {
		font-size: 15px;
		margin-bottom: 10px;
	}
}
